View Issue Details

IDProjectCategoryLast Update
0021831AI War 2[All Projects] SuggestionDec 11, 2019 1:25 pm
ReporterDEMOCRACY_DEMOCRACYAssigned ToBadgerBadger 
Severityminor 
Status resolvedResolutionfixed 
Product Version0.953 Hotfixes For Certain Linux + Hardware Combinations 
Fixed in VersionBETA 1.015 Testing The Outguard Waters 
Summary0021831: give us an avoid planet on galaxy view for pathfinding
Descriptionsometimes, i don't wanna take on that mk6 planet in between my 2 colonies, but my ships deem that the safest way to get to their destination. Would be nice if we had that feature from classic where we could tag planets to avoid going to unless explicitly ordered to go to that planet.
TagsNo tags attached.

Activities

BadgerBadger

Oct 18, 2019 3:55 pm

manager   ~0053787

The tricky bit is the UI for enable/disable and then the UI for showing this setting. There's already a mechanism to prevent this in the pathfinding code:
planetFaction.BooleanFlags[PlanetFactionBooleanFlag.DoNotPathThrough]

BadgerBadger

Oct 18, 2019 3:56 pm

manager   ~0053788

Worth noting that your ships should try to path around particularly dangerous AI planets already.

BadgerBadger

Dec 11, 2019 1:25 pm

manager   ~0054937

Fixed

Issue History

Date Modified Username Field Change
Oct 17, 2019 5:48 pm DEMOCRACY_DEMOCRACY New Issue
Oct 18, 2019 3:55 pm BadgerBadger Note Added: 0053787
Oct 18, 2019 3:56 pm BadgerBadger Note Added: 0053788
Dec 11, 2019 1:25 pm BadgerBadger Assigned To => BadgerBadger
Dec 11, 2019 1:25 pm BadgerBadger Status new => resolved
Dec 11, 2019 1:25 pm BadgerBadger Resolution open => fixed
Dec 11, 2019 1:25 pm BadgerBadger Fixed in Version => BETA 1.015 Testing The Outguard Waters
Dec 11, 2019 1:25 pm BadgerBadger Note Added: 0054937